=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2006-08-16 21:10:33 +0000
+++ bzrlib/tests/__init__.py	2006-08-17 13:32:02 +0000
@@ -592,9 +592,9 @@
         method = symbol_versioning.warn
         symbol_versioning.set_warning_method(capture_warnings)
         try:
-            callable(*args, **kwargs)
+            result = callable(*args, **kwargs)
         finally:
-            result = symbol_versioning.set_warning_method(method)
+            symbol_versioning.set_warning_method(method)
         self.assertEqual(expected, local_warnings)
         return result
 

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2006-08-17 01:31:39 +0000
+++ bzrlib/tests/test_selftest.py	2006-08-17 13:32:02 +0000
@@ -810,12 +810,15 @@
         self.assertRaises(AssertionError, self.assertEndsWith, 'o', 'oo')
 
     def test_assertDeprecated(self):
-        def testfunc(be_deprecated):
+        def testfunc(be_deprecated, result=None):
             if be_deprecated is True:
                 symbol_versioning.warn('i am deprecated', DeprecationWarning, 
                                        stacklevel=1)
-        self.assertDeprecated(['i am deprecated'], testfunc, True)
-        self.assertDeprecated([], testfunc, False)
+            return result
+        result = self.assertDeprecated(['i am deprecated'], testfunc, True)
+        self.assertIs(None, result)
+        result = self.assertDeprecated([], testfunc, False, 'result')
+        self.assertEqual('result', result)
         self.assertDeprecated(['i am deprecated'], testfunc, 
                               be_deprecated=True)
         self.assertDeprecated([], testfunc, be_deprecated=False)

